FUNCTION::FP_TO_STRI(3stap)

NAME
function::fp_to_string - Convert 64 bit floating point to string

SYNOPSIS

    fp_to_string:string(infp:long,precision:long)

ARGUMENTS

infp
    the 64 bit floating point stored in long

precision
    number of digits after decimal point

DESCRIPTION

Given a 64 bit floating point, which is stored in long, use the long value to initiate self-defined float64_t type, then apply the f64_to_i64 function to get the string representation.

SEE ALSO
tapset::floatingpoint(3stap)